summaryrefslogtreecommitdiffstats
path: root/hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-02-16 13:56:52 +0100
committerHolger Levsen <holger@layer-acht.org>2017-02-16 13:57:09 +0100
commitad6c3be3ec60b8ba6d83e25fb0a4ab1aaa36d8d3 (patch)
tree467bec4245fb2e758005d5912339bcc7ca763f28 /hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
parentfdee3f55658c915cb3598fada33d9a8f824299f1 (diff)
downloadjenkins.debian.net-ad6c3be3ec60b8ba6d83e25fb0a4ab1aaa36d8d3.tar.xz
reproducible Debian: add two new armhf hosts and their maintenace jobs, thanks vagrant
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir')
-rwxr-xr-xhosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir20
1 files changed, 20 insertions, 0 deletions
diff --git a/hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..aed9de3d
--- /dev/null
+++ b/hosts/p64c-armhf-rb.debian.net/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+exit 0
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$PWD" == "/build" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+mv $src_dir 2nd